Bug 1289273 - Mouse pointer and window management problems under Wayland
Mouse pointer and window management problems under Wayland
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mutter (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Florian Müllner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-07 14:42 EST by magnus.i.hjorth
Modified: 2016-12-20 11:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:44:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screencast recording of cursor and focus problems (1.17 MB, application/octet-stream)
2015-12-07 14:42 EST, magnus.i.hjorth
no flags Details

  None (edit)
Description magnus.i.hjorth 2015-12-07 14:42:42 EST
Created attachment 1103364 [details]
Screencast recording of cursor and focus problems

Description of problem:

When in a GNOME under Wayland session under Fedora 23, I have occasional window management issues ranging from cosmetic to annoying:
 - Wrong mouse pointer shown for specific window
 - Clicking on window raises it but does not focus it.
 - The swirling "loading" animation shown in the title bar stays on for a quite long time (like 15-30 seconds) after the application has started.

I managed to record a screencast of some of the problems, see attached.

I know some of this has been posted in other bug reports, however I have not seen anyone report the combination of all these problems at the same time.

The regular GNOME session does not show any of these problems.


Version-Release number of selected component (if applicable):
Fedora 23. 

How reproducible:

Problems are intermittent and I do not have a sure-fire way to reproduce them. The problems seem to come in "batches" and I can sometimes go a full day without any problems at all.


Steps to Reproduce:
1. Open firefox and terminal(s)
2. Do work and switch between windows by clicking on them
3. Problem shows up intermittently


Actual results:
Problems as described above.


Expected results:
None of these problems.


Additional info:
This is a quite clean Intel Corei7-3770K based system using the integrated GPU (no add-on boards to the motherboard) and all files on two SSD drives.

If there is any other information needed then please let me know.
Comment 1 Olivier Fourdan 2016-01-07 10:53:41 EST
mutter being the Wayland compositor and window manager in gnome-shell, moving to mutter.
Comment 2 Olivier Fourdan 2016-05-09 05:45:05 EDT
May be related: https://bugzilla.gnome.org/show_bug.cgi?id=756272

I was also experiencing annoying focus issues between XWayland and Wayland native windows, and I fail to reproduce now after applying Jonas patch for XWaylamd:

https://patchwork.freedesktop.org/series/4246/

In which case it would be XWayland more than mutter.
Comment 3 Fedora End Of Life 2016-11-24 09:02:53 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:44:11 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.